Subject: Re: [PATCH net-next] xsk: introduce xsk_dma_ops

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Apr 2023 11:57:53 -0700

On Mon, 17 Apr 2023 11:56:10 -0700 Jakub Kicinski wrote:
> > May misunderstand, here the "dma_ops" is not the "dma_ops" of DMA API.
> > 
> > I mean the callbacks for xsk to do dma.
> > 
> > Maybe, I should rename it in the next version.  
> 
> Would you mind explaining this a bit more to folks like me who are not
> familiar with VirtIO?  DMA API is supposed to hide the DMA mapping
> details from the stack, why is it not sufficient here.

Umm.. also it'd help to post the user of the API in the same series.
I only see the XSK changes, maybe if the virtio changes were in 
the same series I could answer my own question.